package com.gic.haoban.manage.web.vo.wechatwork;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;
import com.gic.web.common.jsonSeralizer.UserNameJsonSeralizer;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/5/21 15:56
 */
@Data
public class WechatWorkLostDetailVO extends StoreGroupCommonVO implements Serializable {

    /**
     * 删除类型
     */
    private String deleteType;

    /**
     * 留存天数
     */
    private Integer remainDays;

    /**
     * 是否已经解除双向好友
     */
    private String isDelete;

    /**
     * 添加好友时间
     */
    private String addTime;

    /**
     * 最近消费时间
     */
    private String lastCsmeDate;

    /**
     * 删除时间
     */
    private String deleteTime;

    private String clerkCode;

    private String clerkName;

    private String clerkId;

    /**
     *  删除说明0手动删除 1系统删除
     */
    private String delType;

    /**
     * 客户姓名
     */
    @JsonSerialize(using = UserNameJsonSeralizer.class)
    private String memberName;

    /**
     * 客户手机号
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String memberPhone;

    /**
     * 会员昵称
     */
    private String memberNick;

    /**
     * 会员id -1：不存在
     */
    private String memberId;

    private String staffCode;

    private String staffName;
}
